OFM2OPL(27 April 2015)

NAME
ofm2opl - convert Omega and TeX font-metric files to property-list files

SYNOPSIS

ofm2opl [OPTIONS] OFMNAME[.ofm] [OPLFILE[.opl]]

DESCRIPTION

ofm2opl translates a binary Omega Font Metrics file, OFMNAME, into a human-readable property-list form. The program writes to standard output (by default) or to a file specified as OPLFILE.

The program also works with TeX TFM files, producing TeX PL files. (ofm2opl is based on the WEB source code for tftopl(1).)

OPTIONS

-charcode-format=TYPE
    output character codes according to TYPE, which can be either `hex' or `ascii'. Default is `hex'. ascii specifes all ASCII letters and digits; hex gets you everything else.

-help
    display a brief summary of syntax and options

-verbose
    display progress reports

-version
    output version information and exit

FILES

OFMNAME
    an Omega Font Metric file

OPLFILE
    an Omega Property List file

BUGS

None known, but report any found to <omega@ens.fr> (mailing list). You may also want to check to see if the same bug is present in pltotf(1).

SEE ALSO

omega(1), opl2ofm(1), pltotf(1), tftopl(1).

Draft Manual for the Omega System (omega-manual.dvi).

Web page: <http://www.gutenberg.eu.org/omega/>

AUTHOR

According to the WEB documentation:

    The first TFtoPL program was designed by Leo Guibas in the summer of 1978. Contributions by Frank Liang, Doug Wyatt, and Lyle Ramshaw also had a significant effect on the evolution of the present code.

    Extensions for an enhanced ligature mechanism were added by D.E. Knuth in 1989.

    Extensions to handle extended font metric files (``OFM'') were added by John Plaice in December 1995 and January 1996, resulting in the new program OFM2OPL.

The primary authors of Omega are John Plaice <plaice@cse.unsw.edu.au> and Yannis Haralambous <yannis@fluxus-virus.com>.

This manual page was written by C.M. Connelly <cmc@debian.org>, for the Debian GNU/Linux system. It may be used by other distributions without contacting the author. Any mistakes or omissions in the manual page are my fault; inquiries about or corrections to this manual page should be directed to me (and not to the primary author).